# Set-RASSite

### NAME

Set-RASSite\ <br>

### SYNOPSIS

Modifies site properties.\ <br>

### SYNTAX

Set-RASSite \[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASSite.html#Id)] *\<uint>* -[NewName](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASSite.html#NewName) *\<string>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASSite.html#CommonParameters)*>*]\
\
Set-RASSite \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASSite.html#InputObject)] *<*[*Site*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Site.html)*>* -[NewName](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASSite.html#NewName) *\<string>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASSite.html#CommonParameters)*>*]\
\
Set-RASSite \[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASSite.html#Name)] *\<string>* -[NewName](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASSite.html#NewName) *\<string>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASSite.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Modifies site properties.\ <br>

### PARAMETERS

\
-**Name \<string>**\
The name of the site to modify.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of the site to modify.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**Site**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Site.html)**>**\
An object of type Site identifying the site to be modified.\
\
To obtain the object, use the Get-Site cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
-**NewName \<string>**\
A new name to assign to the site.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[Site](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Site.html)

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Set-RASSite -Name "My-Site" -NewName "New Site Name"\
\
Changes the name of the site specified by name.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Set-RASSite -Id 11 -NewName "New Site Name"\
\
Changes the name of the site specified by ID.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Set-RASSite -InputObject $site -NewName "New Site Name"\
\
Changes the name of the site specified by the $site variable, which must be an object of type Site.\
\
To obtain the object, use the Get-RASSite cmdlet specifying the desired site.\
\&#xNAN;**---------- EXAMPLE 4 ----------**\
\
Get-RASSite -Id 11 | Set-RASSite -NewName "New Site Name"\
\
Changes the name of the site, which is identified by an object obtained from the pipeline output.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/set-rassite.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
